#
.SUFFIXES: .o .c

# program name
NAME = profileTest

# object files 
OBJECTS = profileTest.o subroutines.o timer.o


CC=gcc
CFLAGS = -Ofast -IPA -march=native -mtune=native
LFLAGS = 
 
LIBS = -L/cm/shared/apps/blas/gcc/1/lib64 -lblas -lgfortran -lm

DEBUG = 

# compilation rules
.c.o: $(OBJECTS)
	$(CC) $(CFLAGS) $(DEBUG) -c $<

default : $(OBJECTS)
	$(CC) $(LFLAGS) $(DEBUG) $(OBJECTS) $(LIBS) -o $(NAME)

clean:
	@rm -f *.o gmon.out
